Index: azure_iot_hub_riscv/trunk/asp_baseplatform/gdic/sipeed_st7789/sipeed_st7789.c
===================================================================
--- azure_iot_hub_riscv/trunk/asp_baseplatform/gdic/sipeed_st7789/sipeed_st7789.c	(revision 454)
+++ azure_iot_hub_riscv/trunk/asp_baseplatform/gdic/sipeed_st7789/sipeed_st7789.c	(revision 458)
@@ -83,10 +83,10 @@
 static void set_dcx_control(LCD_Handler_t *hlcd)
 {
-    gpio_set_pin(TADR_GPIO_BASE, hlcd->dcx_no, PORT_LOW);
+	gpio_set_pin(TADR_GPIO_BASE, hlcd->dcx_no, PORT_LOW);
 }
 
 static void set_dcx_data(LCD_Handler_t *hlcd)
 {
-    gpio_set_pin(TADR_GPIO_BASE, hlcd->dcx_no, PORT_HIGH);
+	gpio_set_pin(TADR_GPIO_BASE, hlcd->dcx_no, PORT_HIGH);
 }
 
@@ -101,9 +101,9 @@
 
 	aTxBuffer[0] = c;
-    set_dcx_control(hlcd);
+	set_dcx_control(hlcd);
 	hspi->Init.DataSize = 8;
 	hspi->Init.InstLength = 8;
 	hspi->Init.AddrLength = 0;
-    ercd = spi_core_transmit(hspi, hlcd->cs_sel, (uint8_t *)(aTxBuffer), 1);
+	ercd = spi_core_transmit(hspi, hlcd->cs_sel, (uint8_t *)(aTxBuffer), 1);
 #if SPI_WAIT_TIME == 0
 	if(ercd == E_OK)
@@ -128,5 +128,5 @@
 		aTxBuffer[i] = buf[i];
 
-    set_dcx_data(hlcd);
+	set_dcx_data(hlcd);
 	hspi->Init.DataSize = 8;
 	hspi->Init.InstLength = 8;
@@ -146,5 +146,5 @@
 	ER ercd = E_OK;
 
-    set_dcx_data(hlcd);
+	set_dcx_data(hlcd);
 	hspi->Init.DataSize = 8;
 	hspi->Init.InstLength = 8;
@@ -167,5 +167,5 @@
 	ER ercd = E_OK;
 
-    set_dcx_data(hlcd);
+	set_dcx_data(hlcd);
 	hspi->Init.DataSize = 16;
 	hspi->Init.InstLength = 16;
@@ -188,5 +188,5 @@
 	ER ercd = E_OK;
 
-    set_dcx_data(hlcd);
+	set_dcx_data(hlcd);
 	hspi->Init.DataSize = 32;
 	hspi->Init.InstLength = 0;
@@ -206,5 +206,5 @@
 {
 	GPIO_Init_t init = {0};
-    uint8_t data = 0;
+	uint8_t data[2] = {0};
 
 	/*
@@ -214,6 +214,6 @@
 	init.mode = GPIO_MODE_OUTPUT;
 	init.pull = GPIO_PULLDOWN;
-    gpio_setup(TADR_GPIO_BASE, &init, hlcd->dcx_no);
-    gpio_set_pin(TADR_GPIO_BASE, hlcd->dcx_no, PORT_HIGH);
+	gpio_setup(TADR_GPIO_BASE, &init, hlcd->dcx_no);
+	gpio_set_pin(TADR_GPIO_BASE, hlcd->dcx_no, PORT_HIGH);
 
 	/*
@@ -227,6 +227,6 @@
 		gpio_set_pin(TADR_GPIO_BASE, hlcd->rst_no, PORT_HIGH);
 
-	    gpio_set_pin(TADR_GPIO_BASE, hlcd->rst_no, 0);
-	    gpio_set_pin(TADR_GPIO_BASE, hlcd->rst_no, 1);
+		gpio_set_pin(TADR_GPIO_BASE, hlcd->rst_no, 0);
+		gpio_set_pin(TADR_GPIO_BASE, hlcd->rst_no, 1);
 	}
 
@@ -245,6 +245,6 @@
 	 */
 	lcd_writecommand(hlcd, PIXEL_FORMAT_SET);
-	data = 0x55;
-    lcd_writebyte(hlcd, &data, 1);
+	data[0] = 0x55;
+	lcd_writebyte(hlcd, &data, 1);
 	if(hlcd->dir & DIR_XY_MASK){
 		hlcd->_width = ST7789_TFTHEIGHT;
@@ -259,5 +259,10 @@
 
 	lcd_writecommand(hlcd, MEMORY_ACCESS_CTL);
-    lcd_writebyte(hlcd, (uint8_t *)&hlcd->dir, 1);
+	lcd_writebyte(hlcd, (uint8_t *)&hlcd->dir, 1);
+
+	//lcd_writecommand(hlcd, RGB_IF_SIGNAL_CTL);
+	//data[0] = 0x00;
+	//data[1] = 0xF8;
+	//lcd_writebyte(hlcd, &data, 2);
 
 	/*
@@ -274,19 +279,19 @@
 lcd_setAddrWindow(LCD_Handler_t *hlcd,  uint16_t x0, uint16_t y0, uint16_t x1, uint16_t y1)
 {
-    uint8_t data[4] = {0};
-
-    data[0] = (uint8_t)(x0 >> 8);
-    data[1] = (uint8_t)(x0);
-    data[2] = (uint8_t)(x1 >> 8);
-    data[3] = (uint8_t)(x1);
+	uint8_t data[4] = {0};
+
+	data[0] = (uint8_t)(x0 >> 8);
+	data[1] = (uint8_t)(x0);
+	data[2] = (uint8_t)(x1 >> 8);
+	data[3] = (uint8_t)(x1);
 	lcd_writecommand(hlcd, HORIZONTAL_ADDRESS_SET);
-    lcd_writebyte(hlcd, data, 4);
-
-    data[0] = (uint8_t)(y0 >> 8);
-    data[1] = (uint8_t)(y0);
-    data[2] = (uint8_t)(y1 >> 8);
-    data[3] = (uint8_t)(y1);
+	lcd_writebyte(hlcd, data, 4);
+
+	data[0] = (uint8_t)(y0 >> 8);
+	data[1] = (uint8_t)(y0);
+	data[2] = (uint8_t)(y1 >> 8);
+	data[3] = (uint8_t)(y1);
 	lcd_writecommand(hlcd, VERTICAL_ADDRESS_SET);
-    lcd_writebyte(hlcd, data, 4);
+	lcd_writebyte(hlcd, data, 4);
 
 	SVC_PERROR(lcd_writecommand(hlcd, MEMORY_WRITE));
@@ -305,5 +310,5 @@
 lcd_fillRect(LCD_Handler_t *hlcd, int16_t x, int16_t y, int16_t w, int16_t h, color_t color)
 {
-    uint32_t data = ((uint32_t)color << 16) | (uint32_t)color;
+	uint32_t data = ((uint32_t)color << 16) | (uint32_t)color;
 	// rudimentary clipping (drawChar w/big text requires this)
 	if((x >= hlcd->_width) || (y >= hlcd->_height)) return;
@@ -312,5 +317,5 @@
 
 	lcd_setAddrWindow(hlcd, x, y, x+w-1, y+h-1);
-    SVC_PERROR(lcd_filldata(hlcd, &data, (h*w+1)/2));
+	SVC_PERROR(lcd_filldata(hlcd, &data, (h*w+1)/2));
 }
 
@@ -326,5 +331,5 @@
 {
 	uint32_t data = color;
-    lcd_setAddrWindow(hlcd, x, y, x, y);
+	lcd_setAddrWindow(hlcd, x, y, x, y);
 	SVC_PERROR(lcd_writehalf(hlcd, &data, 1));
 }
@@ -341,5 +346,5 @@
 lcd_drawFastVLine(LCD_Handler_t *hlcd, int16_t x, int16_t y, int16_t h, color_t color)
 {
-    uint32_t data = ((uint32_t)color << 16) | (uint32_t)color;
+	uint32_t data = ((uint32_t)color << 16) | (uint32_t)color;
 	// Rudimentary clipping
 	if(h == 0) return;
@@ -347,5 +352,5 @@
 	if((y+h-1) >= hlcd->_height) h = hlcd->_height-y;
 	lcd_setAddrWindow(hlcd, x, y, x, y+h-1);
-    SVC_PERROR(lcd_filldata(hlcd, &data, (h+1)/2));
+	SVC_PERROR(lcd_filldata(hlcd, &data, (h+1)/2));
 }
 
@@ -360,5 +365,5 @@
 void lcd_drawFastHLine(LCD_Handler_t *hlcd, int16_t x, int16_t y, int16_t w, color_t color)
 {
-    uint32_t data = ((uint32_t)color << 16) | (uint32_t)color;
+	uint32_t data = ((uint32_t)color << 16) | (uint32_t)color;
 	// Rudimentary clipping
 	if(w == 0) return;
@@ -366,5 +371,5 @@
 	if((x+w-1) >= hlcd->_width)  w = hlcd->_width-x;
 	lcd_setAddrWindow(hlcd, x, y, x+w-1, y);
-    SVC_PERROR(lcd_filldata(hlcd, &data, (w+1)/2));
+	SVC_PERROR(lcd_filldata(hlcd, &data, (w+1)/2));
 }
 
@@ -462,5 +467,5 @@
 
 	lcd_setAddrWindow(hlcd, x, y, x+width-1, y+height-1);
-    set_dcx_data(hlcd);
+	set_dcx_data(hlcd);
 	hspi->Init.DataSize = 32;
 	hspi->Init.InstLength = 0;
@@ -533,5 +538,5 @@
 {
 	LCD_Handler_t *hlcd = pDrawProp->hlcd;
- 	int32_t   decision;    /* Decision Variable */ 
+	int32_t   decision;    /* Decision Variable */ 
 	uint32_t  current_x;   /* Current X Value */
 	uint32_t  current_y;   /* Current Y Value */
Index: azure_iot_hub_riscv/trunk/asp_baseplatform/pdic/k210/dvp.c
===================================================================
--- azure_iot_hub_riscv/trunk/asp_baseplatform/pdic/k210/dvp.c	(revision 454)
+++ azure_iot_hub_riscv/trunk/asp_baseplatform/pdic/k210/dvp.c	(revision 458)
@@ -66,5 +66,5 @@
 
 #define DEAFULT_CLEAR_INT       (DVP_STS_FRAME_START  | DVP_STS_FRAME_START_WE | \
-                                 DVP_STS_FRAME_FINISH | DVP_STS_FRAME_FINISH_WE)
+								 DVP_STS_FRAME_FINISH | DVP_STS_FRAME_FINISH_WE)
 
 
@@ -75,6 +75,6 @@
 {
 	uint32_t clk_sel0 = sil_rew_mem((uint32_t *)(TADR_SYSCTL_BASE+TOFF_CLK_SEL0));
-    uint32_t source = 0;
-    uint32_t result = 0;
+	uint32_t source = 0;
+	uint32_t result = 0;
 	uint32_t threshold = 0;
 
@@ -97,5 +97,5 @@
 	result = source / (threshold + 1);
 	syslog_2(LOG_NOTICE, "## dvp_clock_get_freq req(%d) result(%d) ##", clock, result);
-    return result;
+	return result;
 }
 
@@ -104,8 +104,8 @@
 {
 	while(sil_rew_mem((uint32_t *)(hdvp->base+TOFF_DVP_STS)) & DVP_STS_SCCB_EN)
-        ;
+		;
 	sil_wrw_mem((uint32_t *)(hdvp->base+TOFF_DVP_STS), (DVP_STS_SCCB_EN | DVP_STS_SCCB_EN_WE));
-    while (sil_rew_mem((uint32_t *)(hdvp->base+TOFF_DVP_STS)) & DVP_STS_SCCB_EN)
-        ;
+	while (sil_rew_mem((uint32_t *)(hdvp->base+TOFF_DVP_STS)) & DVP_STS_SCCB_EN)
+		;
 }
 
@@ -150,5 +150,5 @@
 	tmp = sil_rew_mem((uint32_t *)(hdvp->base+TOFF_DVP_SCCB_CFG)) & (~DVP_SCCB_BYTE_NUM_MASK);
 
-    if (hdvp->Init.num_sccb_reg == 8)
+	if (hdvp->Init.num_sccb_reg == 8)
 		tmp |= DVP_SCCB_BYTE_NUM_2;
 	else
@@ -164,9 +164,9 @@
 	sil_wrw_mem((uint32_t *)(hdvp->base+TOFF_DVP_SCCB_CTL), tmp);
 
-    dvp_sccb_start_transfer(hdvp);
+	dvp_sccb_start_transfer(hdvp);
 
 	sil_wrw_mem((uint32_t *)(hdvp->base+TOFF_DVP_SCCB_CTL), addr);
 
-    dvp_sccb_start_transfer(hdvp);
+	dvp_sccb_start_transfer(hdvp);
 
 	tmp = sil_rew_mem((uint32_t *)(hdvp->base+TOFF_DVP_SCCB_CFG));
@@ -182,5 +182,5 @@
 dvp_init(DVP_Handle_t *hdvp)
 {
-    uint32_t v_apb1_clk, v_period;
+	uint32_t v_apb1_clk, v_period;
 
 	if(hdvp == NULL)
@@ -201,10 +201,10 @@
 	fpioa_set_function(hdvp->Init.SccbSdaPin, FUNC_SCCB_SDA);
 
-    /* Do a power cycle */
-    dvp_dcmi_powerdown(hdvp, false);
-    dly_tsk(10);
-
-    dvp_dcmi_powerdown(hdvp, true);
-    dly_tsk(100);
+	/* Do a power cycle */
+	dvp_dcmi_powerdown(hdvp, false);
+	dly_tsk(10);
+
+	dvp_dcmi_powerdown(hdvp, true);
+	dly_tsk(100);
 
 	/*
@@ -372,12 +372,12 @@
 	cfg  = sil_rew_mem((uint32_t *)(hdvp->base+TOFF_DVP_CFG));
 	cfg &= ~(DVP_CFG_HREF_BURST_NUM_MASK | DVP_CFG_LINE_NUM_MASK);
-    cfg |= hdvp->Init.Height << 20;
-
-    if((cfg & DVP_CFG_BURST_SIZE_4BEATS) != 0)
+	cfg |= hdvp->Init.Height << 20;
+
+	if((cfg & DVP_CFG_BURST_SIZE_4BEATS) != 0)
 		divw = 4;
 	else
 		divw = 1;
 	cfg |= (hdvp->Init.Width / 8 / divw) << 12;
-    sil_wrw_mem((uint32_t *)(hdvp->base+TOFF_DVP_CFG), cfg);
+	sil_wrw_mem((uint32_t *)(hdvp->base+TOFF_DVP_CFG), cfg);
 	return E_OK;
 }
@@ -403,6 +403,6 @@
 
 	sccb_cfg  = sil_rew_mem((uint32_t *)(hdvp->base+TOFF_DVP_SCCB_CFG));
-    sccb_cfg &= ~(DVP_SCCB_SCL_LCNT_MASK | DVP_SCCB_SCL_HCNT_MASK);
-    sccb_cfg |= (v_period_clk_cnt << 8) | (v_period_clk_cnt << 16);
+	sccb_cfg &= ~(DVP_SCCB_SCL_LCNT_MASK | DVP_SCCB_SCL_HCNT_MASK);
+	sccb_cfg |= (v_period_clk_cnt << 8) | (v_period_clk_cnt << 16);
 	sil_wrw_mem((uint32_t *)(hdvp->base+TOFF_DVP_SCCB_CFG), sccb_cfg);
 	return dvp_clock_get_freq(DVP_CLOCK_REQ) / (v_period_clk_cnt * 2);
@@ -454,11 +454,15 @@
 	uint32_t istatus, estatus;
 
-	if(hdvp == NULL)
+	if (hdvp == NULL) {
+		syslog_0(LOG_NOTICE, "dvp_handler hdvp == NULL");
 		return;
+	}
 	istatus = sil_rew_mem((uint32_t *)(hdvp->base+TOFF_DVP_STS));
-	if(istatus == 0)
+	if (istatus == 0) {
+		syslog_0(LOG_DEBUG, "dvp_handler istatus == 0");
 		return;
+	}
 	estatus = istatus;
-	syslog_2(LOG_DEBUG, "sensor_irq istatus[%08x] hdvp->state(%d)", istatus, hdvp->state);
+	syslog_2(LOG_DEBUG, "dvp_handler istatus[%08x] hdvp->state(%d)", istatus, hdvp->state);
 	if((istatus & DVP_STS_FRAME_FINISH) != 0){	//frame end
 		estatus |= DVP_STS_FRAME_FINISH_WE;
@@ -469,5 +473,5 @@
 	if((istatus & DVP_STS_FRAME_START) != 0){	//frame start
 		estatus |= DVP_STS_FRAME_START_WE;
-        if(hdvp->state == DVP_STATE_ACTIVATE){  //only we finish the convert, do transmit again
+		if(hdvp->state == DVP_STATE_ACTIVATE){  //only we finish the convert, do transmit again
 			/*
 			 *  コンバートスタート
@@ -479,4 +483,2 @@
 	sil_orw_mem((uint32_t *)(hdvp->base+TOFF_DVP_STS), estatus);
 }
-
-
